
Foreman - Bug #35055

Calling the api/v2/operatingsystems#bootfiles endpoint fails with "unknown permission"

06/14/2022 09:21 AM - Richard Stempfl

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases: 2.5.4, 3.1.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9397

  

Description

When i use the api endpoint  https://foreman-fqdn/api/operatingsystems/1/bootfiles

I get:

{

"error":

{ "message": "ERF42-5531 [Foreman::Exception]: unknown permission for api/v2/operatingsystems#boot

files" }

}

 All required parameters are used.

Associated revisions

Revision 1ccfd4e9 - 09/14/2022 01:33 PM - Matěj Mudra 

Fixes #35055 - Add permission to action_permission for bootfiles (#9397)

History

#1 - 06/14/2022 01:23 PM - Marcel Kühlhorn

- Found in Releases 3.1.2 added

#2 - 09/01/2022 10:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9397 added

#3 - 09/14/2022 01:33 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#4 - 09/14/2022 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1ccfd4e9aff6a016e6f12c58d7a8f9b3b30f5d8d.

#5 - 11/28/2022 01:45 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
